from nonebot_plugin_alconna import UniMessage


class BotExceptionMessage(Exception):
    def __init__(self, msg: UniMessage | str) -> None:
        super().__init__()
        if isinstance(msg, str):
            msg = UniMessage().text(msg)
        self.msg = msg
